gtkmm 2.4: Gtk::ToolItem Class Reference

Main Page Widgets Namespaces Book

# Gtk::ToolItem Class Reference
[Widgets]

Inheritance diagram for Gtk::ToolItem:

[legend]
List of all members.

## Public Member Functions
bool | get_expand () const
| Returns whether tool_item is allocated extra space.
bool | get_homogeneous () const
| Returns whether tool_item is the same size as other homogeneous items.
IconSize | get_icon_size () const
| Returns the icon size used for tool_item .
bool | get_is_important () const
| Returns whether tool_item is considered important.
Orientation | get_orientation () const
| Returns the orientation used for tool_item .
const Widget* | get_proxy_menu_item (const Glib::ustring& menu_item_id) const
| If menu_item_id matches the string passed to set_proxy_menu_item() return the corresponding Gtk::MenuItem.
Widget* | get_proxy_menu_item (const Glib::ustring& menu_item_id)
| If menu_item_id matches the string passed to set_proxy_menu_item() return the corresponding Gtk::MenuItem.
ReliefStyle | get_relief_style () const
| Returns the relief style of tool_item .
ToolbarStyle | get_toolbar_style () const
| Returns the toolbar style used for tool_item .
bool | get_use_drag_window () const
| Returns whether toolitem has a drag window.
bool | get_visible_horizontal () const
| Returns whether the toolitem is visible on toolbars that are docked horizontally.
bool | get_visible_vertical () const
| Returns whether toolitem is visible when the toolbar is docked vertically.
const GtkToolItem* | gobj () const
| Provides access to the underlying C GtkObject.
GtkToolItem* | gobj ()
| Provides access to the underlying C GtkObject.
void | rebuild_menu ()
| Calling this function signals to the toolbar that the overflow menu item for tool_item has changed.
const Widget* | retrieve_proxy_menu_item () const
| Returns the Gtk::MenuItem that was last set by set_proxy_menu_item(), ie.
Widget* | retrieve_proxy_menu_item ()
| Returns the Gtk::MenuItem that was last set by set_proxy_menu_item(), ie.
void | set_expand (bool expand=true)
| Sets whether tool_item is allocated extra space when there is more room on the toolbar then needed for the items.
void | set_homogeneous (bool homogeneous=true)
| Sets whether tool_item is to be allocated the same size as other homogeneous items.
void | set_is_important (bool is_important=true)
| Sets whether tool_item should be considered important.
void | set_proxy_menu_item (const Glib::ustring& menu_item_id, Widget& menu_item)
| Sets the Gtk::MenuItem used in the toolbar overflow menu.
void | set_tooltip (Tooltips& tooltips, const Glib::ustring& tip_text, const Glib::ustring& tip_private=Glib::ustring())
| Sets the Gtk::Tooltips object to be used for tool_item , the text to be displayed as tooltip on the item and the private text to be used.
void | set_use_drag_window (bool use_drag_window=true)
| Sets whether toolitem has a drag window.
void | set_visible_horizontal (bool visible_horizontal=true)
| Sets whether toolitem is visible when the toolbar is docked horizontally.
void | set_visible_vertical (bool visible_vertical=true)
| Sets whether toolitem is visible when the toolbar is docked vertically.
Glib::SignalProxy0<bool> | signal_create_menu_proxy ()
Glib::SignalProxy3< bool, Tooltips*, const Glib::ustring&, const Glib::ustring& > | signal_set_tooltip ()
Glib::SignalProxy0<void> | signal_toolbar_reconfigured ()
| ToolItem ()
virtual | ~ToolItem ()
## Related Functions
(Note that these are not member functions.)
Gtk::ToolItem* | wrap (GtkToolItem* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::ToolItem::~ToolItem | ( |  | ) | `[virtual]`

Gtk::ToolItem::ToolItem | ( |  | ) |

## Member Function Documentation

bool Gtk::ToolItem::get_expand | ( |  | ) | const

| Returns whether tool_item is allocated extra space. See set_expand(). Returns: `true` if tool_item is allocated extra space. Since gtkmm 2.4:

bool Gtk::ToolItem::get_homogeneous | ( |  | ) | const

| Returns whether tool_item is the same size as other homogeneous items. See set_homogeneous(). Returns: `true` if the item is the same size as other homogeneous item.s Since gtkmm 2.4:

IconSize Gtk::ToolItem::get_icon_size | ( |  | ) | const

| Returns the icon size used for tool_item . Custom subclasses of Gtk::ToolItem should call this function to find out what size icons they should use. Returns: A Gtk::IconSize indicating the icon size used for tool_item Since gtkmm 2.4:

bool Gtk::ToolItem::get_is_important | ( |  | ) | const

| Returns whether tool_item is considered important. See set_is_important() Returns: `true` if tool_item is considered important. Since gtkmm 2.4:

Orientation Gtk::ToolItem::get_orientation | ( |  | ) | const

| Returns the orientation used for tool_item . Custom subclasses of Gtk::ToolItem should call this function to find out what size icons they should use. Returns: A Gtk::Orientation indicating the orientation used for tool_item Since gtkmm 2.4:

const Widget* Gtk::ToolItem::get_proxy_menu_item | ( | const Glib::ustring& | menu_item_id | ) | const

  | If menu_item_id matches the string passed to set_proxy_menu_item() return the corresponding Gtk::MenuItem. Custom subclasses of Gtk::ToolItem should use this function to update their menu item when the Gtk::ToolItem changes. That the menu_item_id <!-- -->s must match ensures that a Gtk::ToolItem will not inadvertently change a menu item that they did not create. Parameters:
  | menu_item_id | A string used to identify the menu item.
Returns: The Gtk::MenuItem passed to set_proxy_menu_item(), if the menu_item_id <!-- -->s match. Since gtkmm 2.4:

Widget* Gtk::ToolItem::get_proxy_menu_item | ( | const Glib::ustring& | menu_item_id | ) |

  | If menu_item_id matches the string passed to set_proxy_menu_item() return the corresponding Gtk::MenuItem. Custom subclasses of Gtk::ToolItem should use this function to update their menu item when the Gtk::ToolItem changes. That the menu_item_id <!-- -->s must match ensures that a Gtk::ToolItem will not inadvertently change a menu item that they did not create. Parameters:
  | menu_item_id | A string used to identify the menu item.
Returns: The Gtk::MenuItem passed to set_proxy_menu_item(), if the menu_item_id <!-- -->s match. Since gtkmm 2.4:

ReliefStyle Gtk::ToolItem::get_relief_style | ( |  | ) | const

| Returns the relief style of tool_item . See gtk_button_set_relief_style(). Custom subclasses of Gtk::ToolItem should call this function in the handler of the Gtk::ToolItem::toolbar_reconfigured signal to find out the relief style of buttons. Returns: A Gtk::ReliefStyle indicating the relief style used for tool_item . Since gtkmm 2.4:

ToolbarStyle Gtk::ToolItem::get_toolbar_style | ( |  | ) | const

| Returns the toolbar style used for tool_item . Custom subclasses of Gtk::ToolItem should call this function in the handler of the GtkToolItem::toolbar_reconfigured signal to find out in what style the toolbar is displayed and change themselves accordingly Possibilities are: <itemizedlist> <listitem> GTK_TOOLBAR_BOTH, meaning the tool item should show both an icon and a label, stacked vertically </listitem> <listitem> GTK_TOOLBAR_ICONS, meaning the toolbar shows only icons </listitem> <listitem> GTK_TOOLBAR_TEXT, meaning the tool item should only show text</listitem> <listitem> GTK_TOOLBAR_BOTH_HORIZ, meaning the tool item should show both an icon and a label, arranged horizontally (however, note the Gtk::ToolButton::has_text_horizontally that makes tool buttons not show labels when the toolbar style is GTK_TOOLBAR_BOTH_HORIZ. </listitem> </itemizedlist> Returns: A Gtk::ToolbarStyle indicating the toolbar style used for tool_item . Since gtkmm 2.4:

bool Gtk::ToolItem::get_use_drag_window | ( |  | ) | const

| Returns whether toolitem has a drag window. See set_use_drag_window(). Returns: `true` if toolitem uses a drag window. Since gtkmm 2.4:

bool Gtk::ToolItem::get_visible_horizontal | ( |  | ) | const

| Returns whether the toolitem is visible on toolbars that are docked horizontally. Returns: `true` if toolitem is visible on toolbars that are docked horizontally. Since gtkmm 2.4:

bool Gtk::ToolItem::get_visible_vertical | ( |  | ) | const

| Returns whether toolitem is visible when the toolbar is docked vertically. See set_visible_vertical(). Returns: Whether toolitem is visible when the toolbar is docked vertically Since gtkmm 2.4:

const GtkToolItem* Gtk::ToolItem::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin. Reimplemented in Gtk::MenuToolButton, Gtk::RadioToolButton, Gtk::SeparatorToolItem, Gtk::ToggleToolButton, and Gtk::ToolButton.

GtkToolItem* Gtk::ToolItem::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin. Reimplemented in Gtk::MenuToolButton, Gtk::RadioToolButton, Gtk::SeparatorToolItem, Gtk::ToggleToolButton, and Gtk::ToolButton.

void Gtk::ToolItem::rebuild_menu | ( |  | ) |

| Calling this function signals to the toolbar that the overflow menu item for tool_item has changed. If the overflow menu is visible when this function it called, the menu will be rebuilt. The function must be called when the tool item changes what it will do in response to the "create_menu_proxy" signal. Since gtkmm 2.6:

const Widget* Gtk::ToolItem::retrieve_proxy_menu_item | ( |  | ) | const

| Returns the Gtk::MenuItem that was last set by set_proxy_menu_item(), ie. the Gtk::MenuItem that is going to appear in the overflow menu. Returns: The Gtk::MenuItem that is going to appear in the overflow menu for tool_item . Since gtkmm 2.4:

Widget* Gtk::ToolItem::retrieve_proxy_menu_item | ( |  | ) |

| Returns the Gtk::MenuItem that was last set by set_proxy_menu_item(), ie. the Gtk::MenuItem that is going to appear in the overflow menu. Returns: The Gtk::MenuItem that is going to appear in the overflow menu for tool_item . Since gtkmm 2.4:

void Gtk::ToolItem::set_expand | ( | bool | expand = `true` | ) |

  | Sets whether tool_item is allocated extra space when there is more room on the toolbar then needed for the items. The effect is that the item gets bigger when the toolbar gets bigger and smaller when the toolbar gets smaller. Since gtkmm 2.4: Parameters:
  | expand | Whether tool_item is allocated extra space.

void Gtk::ToolItem::set_homogeneous | ( | bool | homogeneous = `true` | ) |

  | Sets whether tool_item is to be allocated the same size as other homogeneous items. The effect is that all homogeneous items will have the same width as the widest of the items. Since gtkmm 2.4: Parameters:
  | homogeneous | Whether tool_item is the same size as other homogeneous items.

void Gtk::ToolItem::set_is_important | ( | bool | is_important = `true` | ) |

  | Sets whether tool_item should be considered important. The Gtk::ToolButton class uses this property to determine whether to show or hide its label when the toolbar style is Gtk::TOOLBAR_BOTH_HORIZ. The result is that only tool buttons with the "is_important" property set have labels, an effect known as "priority text" Since gtkmm 2.4: Parameters:
  | is_important | Whether the tool item should be considered important.

void Gtk::ToolItem::set_proxy_menu_item | ( | const Glib::ustring& | menu_item_id,
|  | Widget& | menu_item
| ) |

  | Sets the Gtk::MenuItem used in the toolbar overflow menu. The menu_item_id is used to identify the caller of this function and should also be used with get_proxy_menu_item(). Since gtkmm 2.4: Parameters:
  | menu_item_id | A string used to identify menu_item .
  | menu_item | A Gtk::MenuItem to be used in the overflow menu.

void Gtk::ToolItem::set_tooltip | ( | Tooltips& | tooltips,
|  | const Glib::ustring& | tip_text,
|  | const Glib::ustring& | tip_private = `Glib::ustring()`
| ) |

  | Sets the Gtk::Tooltips object to be used for tool_item , the text to be displayed as tooltip on the item and the private text to be used. See Gtk::Tooltips::set_tip(). Since gtkmm 2.4: Parameters:
  | tooltips | The Gtk::Tooltips object to be used.
  | tip_text | Text to be used as tooltip text for tool_item .
  | tip_private | Text to be used as private tooltip text.

void Gtk::ToolItem::set_use_drag_window | ( | bool | use_drag_window = `true` | ) |

  | Sets whether toolitem has a drag window. When `true` the toolitem can be used as a drag source through gtk_drag_source_set(). When toolitem has a drag window it will intercept all events, even those that would otherwise be sent to a child of toolitem . Since gtkmm 2.4: Parameters:
  | use_drag_window | Whether toolitem has a drag window.

void Gtk::ToolItem::set_visible_horizontal | ( | bool | visible_horizontal = `true` | ) |

  | Sets whether toolitem is visible when the toolbar is docked horizontally. Since gtkmm 2.4: Parameters:
  | visible_horizontal | Whether toolitem is visible when in horizontal mode.

void Gtk::ToolItem::set_visible_vertical | ( | bool | visible_vertical = `true` | ) |

  | Sets whether toolitem is visible when the toolbar is docked vertically. Some tool items, such as text entries, are too wide to be useful on a vertically docked toolbar. If visible_vertical is `false` toolitem will not appear on toolbars that are docked vertically. Since gtkmm 2.4: Parameters:
  | visible_vertical | Whether toolitem is visible when the toolbar is in vertical mode.

Glib::SignalProxy0<bool> Gtk::ToolItem::signal_create_menu_proxy | ( |  | ) |

| Prototype: `bool create_menu_proxy()`

Glib::SignalProxy3<bool,Tooltips*,const Glib::ustring&,const Glib::ustring&> Gtk::ToolItem::signal_set_tooltip | ( |  | ) |

| Prototype: `bool set_tooltip(Tooltips* tooltips, const Glib::ustring& tip_text, const Glib::ustring& tip_private)`

Glib::SignalProxy0<void> Gtk::ToolItem::signal_toolbar_reconfigured | ( |  | ) |

| Prototype: `void toolbar_reconfigured()`

## Friends And Related Function Documentation

Gtk::ToolItem* wrap | ( | GtkToolItem* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- toolitem.h